Bug 108401 - up2date fails on a new package
up2date fails on a new package
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 18:47 EST by Kaj J. Niemi
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 05:11:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2003-10-28 18:47:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031017

Description of problem:
% rpm -q screen
package screen is not installed

# up2date-nox screen
                                                                                
Fetching package list for channel: redhat-9-i386...
########################################
                                                                                
Fetching Obsoletes list for channel: redhat-9-i386...
                                                                                
Fetching rpm headers...
########################################
                                                                                
Name                                    Version        Rel
----------------------------------------------------------
screen                                  3.9.15         11                  i386
                                                                                
                                                                                
Traceback (most recent call last):
  File "/usr/sbin/up2date-nox", line 1187, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date-nox", line 765, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date-nox", line 1050, in batchRun
    batch.run()
  File "up2dateBatch.py", line 70, in run
  File "up2dateBatch.py", line 142, in __dryRun
  File "up2date.py", line 341, in dryRun
ValueError: list.remove(x): x not in list
#



Version-Release number of selected component (if applicable):
up2date-4.1.12-1

How reproducible:
Always

Steps to Reproduce:
1. Select a package that doesn't exist
2. Attempt to install it with up2date
3. 
    

Actual Results:  Tracebacks

Expected Results:  Should work.
Comment 1 Paul Nasrat 2003-10-29 09:58:50 EST
I get this here - I added some debug enclosed with some fuzz:

...
D: Compare aPkg ['kdoc', '3.0.0', '0.20020321cvs.4', '2', 'noarch', '1000',
'rawhide-duke', 's390x/Fedora/RPMS/kdoc-3.0.0-0.20020321cvs.4.noarch.rpm']
D: Compare iPkg ['kdoc', '3.0.0', '0.20020321cvs.4', 2]
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i586', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i586.rpm']
D: Compare iPkg ['kernel', '2.4.21', '20.1.2024.2.1.nptl', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i686', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i686.rpm']
D: Compare iPkg ['kernel', '2.4.21', '20.1.2024.2.1.nptl', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i586', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i586.rpm']
D: Compare iPkg ['kernel', '2.4.22', '1.2075.nptl', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i686', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i686.rpm']
D: Compare iPkg ['kernel', '2.4.22', '1.2075.nptl', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i586', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i586.rpm']
D: Compare iPkg ['kernel', '2.6.0', '0.test4.1.32', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i686', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i686.rpm']
D: Compare iPkg ['kernel', '2.6.0', '0.test4.1.32', '']
D: Compare aPkg ['kernel', '2.4.22', '1.2110.nptl', '', 'i586', '1000',
'rawhide-duke', 'i386/Fedora/RPMS/kernel-2.4.22-1.2110.nptl.i586.rpm']
D: Compare iPkg ['kernel', '2.6.0', '0.test5.1.38', '']
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1187, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 765, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1050, in batchRun
    batch.run()
  File "up2dateBatch.py", line 70, in run
  File "up2dateBatch.py", line 142, in __dryRun
  File "/usr/share/rhn/up2date_client/up2date.py", line 343, in dryRun
    availCpy.remove(aPkg)
ValueError: list.remove(x): x not in list

[paul@enki rhn]$ rpm -q kernel
kernel-2.6.0-0.test4.1.32
kernel-2.4.21-20.1.2024.2.1.nptl
kernel-2.6.0-0.test5.1.38
kernel-2.4.22-1.2075.nptl
kernel-2.6.0-0.test6.1.47
kernel-2.6.0-0.test8.1.64
Comment 2 Paul Nasrat 2003-10-29 10:24:18 EST
I removed all kernels other than uname -r and reran up2date openoffice.org and
up2date seemed to progress fine.  Have confirmed with others that this works
around issue:
Comment 3 Adrian Likins 2003-10-29 12:48:37 EST
hmm, yeah. fix should be in 4.1.14
Comment 4 Kaj J. Niemi 2003-11-03 05:11:10 EST
Yup this got fixed. Resolving as RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.